//* Converted to POV-Ray 3.1 by John Dickson

#declare EngineBurn =
union {
  union {
// Secondary EW_Engine Glow
    object {
      sphere {<0,0,0>, 0.65}
      texture {
        pigment {colour rgbt <1,1,1,1>}
      }
      

      interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
               [0 colour rgbt <1,0,1,1>]
               [1 colour rgbt <1,0,1,.75*GearRot+.25>]
            }   
        }
        samples 10,10
        }
      }
      hollow
      no_shadow
      translate <0,0,0>
      scale <5,5,12*(1-GearRot)>*.5
    }
    // Secondary EW_Engine Glow
    object {
      sphere {<0,0,0>, 0.65}
      texture {
        pigment {colour rgbt <1,1,1,1>}
      }



     interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
               [0 colour rgbt <1,0,1,1>]
               [1 colour rgbt <1,0,1,.75*GearRot+.25>]
            }   
        }
        samples 10,10
        }
      }
      hollow
      no_shadow
scale <10,10,16*(1-GearRot)>*2*.5
      translate <0,0,5>
            }
    // Inner engine glow
    object {
      sphere {<0,0,0>, 1}
      texture {
        pigment {color rgbt <1,1,1,1>}
      }



    interior
      {
        media 
        {
          emission .2
          density 
          {
            spherical
            color_map
            {
              [0 colour rgbt <1,1,1,1>]
              [.5 colour rgbt <2,2,2,1*GearRot>]
              [1 colour rgbt <2,2,2,2*GearRot-1>]
            }   


   //   halo {
   //     emitting
   //     spherical_mapping
   //     linear
   //     color_map {
   //       [0 colour rgbt <1,1,1,1>]
   //       [.5 colour rgbt <2,2,2,1*GearRot>]
   //       [1 colour rgbt <2,2,2,2*GearRot-1>]
        }
        samples 10,10
        }
      }
 scale <5,5,2.5>
      hollow
      no_shadow
      translate <0,0,0>
    }
  }
object {
light_source {
<0,0,8>
color rgb <1,0,1>*(1-GearRot)
fade_distance 10*.075
fade_power 2
}
}
scale 1
translate <0,0,0>
}

#declare GearF =
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.4, 12.538, 0.4 >
               rotate < -176.49, 0, 0 >
               translate < -5.3291e-15, -5.5, -41 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.4, 12.54, 0.4 >
               rotate < 156.88, 0, 0 >
               translate < -5.3291e-15, -6, -47 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 1, 2.75 >
               translate < -0.5, -18.5, -43.75 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 4, 0.5, 9.25 >
               translate < -2, -19, -47.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 4, 0.5, 2.828 >
               rotate < 45, 0, 0 >
               translate < -2, -17, -49.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.2, 4.7077, 0.2 >
               rotate < 49.455, 0, 0 >
               translate < 3.5527e-15, -11.5, -44.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 6, 7 >
               translate < -1, -6.5, -47.5 >
            }
         }
         pigment {rgb .25}
      }



#declare GearR =
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.4, 10, 0.4 >
                     rotate < 163.97, 0, 0 >
                     translate < -5.3291e-15, -3, 3.25 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.4, 11.95, 0.4 >
                     rotate < 142.67, 0, 0 >
                     translate < -5.3291e-15, -3, -1.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 1, 2.75 >
                     translate < -0.5, -13, 4.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4, 0.5, 9.25 >
                     translate < -2, -13.5, 0.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4, 0.5, 2.828 >
                     rotate < 45, 0, 0 >
                     translate < -2, -11.5, -1.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.2, 4.7077, 0.2 >
                     rotate < 28.417, 0, 0 >
                     translate < 3.5527e-15, -12.75, 0.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 2, 4, 7 >
                     translate < -1, -4, -3 >
                  }
               }
               pigment {rgb .25}
            }

#declare Gun =
  // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
         #declare Count = 0;
         #while (Count <360)
            // Object type: Box
            // Name: 360
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 1 >
               translate < -0.125, 2, -12 >
               rotate Count*z
            }
            #declare Count = Count + 30;
            #end
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 2, 1, 2 >
               rotate < 90, 0, 0 >
               translate < 0, 0, -8.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.5, 2, 1.5 >
               rotate < 90, 0, 0 >
               translate < 0, 0, -10.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 2, 2, 2 >
               rotate < 90, 0, 0 >
               translate < 0, 3.5527e-15, -12.5 >
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Union
                  // Name: 'or'
                  object
                  {
                     merge
                     {
                        // Object type: Sphere
                        // Name: NoName
                        object
                        {
                           sphere { < 0, 0, 0 >, 1 }

                           scale < 2.5, 4, 4 >
                           translate < 0, -2, 8.5 >
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                           scale < 2.5, 16, 4 >
                           rotate < 90, 0, 0 >
                           translate < 0, -2, -7.5 >
                        }
                     }
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     translate < 0, -2.5, -1 >
                  }
               }
               texture {pigment{rgb .65}}
               texture
               {
                  EW_SquadTex
                  translate < 0, -2.5, -1 >
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  open}

               scale < 0.5, 16.5, 0.5 >
               rotate < 90, 0, 0 >
               translate < 0, -5.294e-23, -31.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1, 2, 1 >
               rotate < 90, 0, 0 >
               translate < 0, 0, -15 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.5, 0.5, 1.5 >
               rotate < 90, 0, 0 >
               translate < 0, 0, -13 >
            }
         }

         texture
         {
            EW_Tex3
         }
scale <.75,.75,1>
      }



#declare Engine =
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 6, 20, 6 >
                     rotate < 90, 0, 0 >
                     translate < 0, -14, 1.9073e-06 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 5.75, 8, 5.75 >
                     rotate < 90, 0, 0 >
                     translate < 0, -14, -3 >
                     texture {EW_Tex2}

                  }
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 5, 4, 5 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 20 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 4, 5, 4 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 24 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 5, 4, 5 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 29 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 4, 14, 4 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 33 >
            }
            #declare Count = 0;
            #while (Count <360)
            // Object type: Cylinder
            // Name: 360
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.1, 2, 0.1 >
               rotate < 90, 0, 0 >
               translate 6*y
               rotate Count*z
               translate < 0, -14, 1 >
            }
            #declare Count = Count + 4;
            #end
            #declare Count = 0;
            #while (Count <360)
            // Object type: Cylinder
            // Name: 360
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.2, 5, 0.2 >
               rotate < 90, 0, 0 >
               translate 4*y
               rotate Count*z
               translate < 0, -14, 24 >
            }
            #declare Count = Count + 4;
            #end
            #declare Count = 0;
            #while (Count <360)
            // Object type: Cylinder
            // Name: 360
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.2, 4, 0.2 >
               rotate < 90, 0, 0 >
               translate 4*y
               rotate Count*z
               rotate 30*z
               translate < 0, -14, 43 >

            }
            #declare Count = Count + 30;
            #end
            #declare Count = 0;
            #while (Count <360)
            // Object type: Cylinder
            // Name: 360
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.2, 8, 0.2 >
               rotate < 97.021, 0, 0 >
               translate 4*y
               rotate Count*z
               rotate 30*z
               translate < 0, -14, 47 >
               texture {EW_Tex2}

            }
            #declare Count = Count + 30;
            #end

            difference {
            // Object type: Cone
            // Name: NoName
            object
            {
               cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.75 open }

               scale < 4, 8, 4 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 47 >
               texture {EW_Tex2}
            }
             // Object type: Cone
            // Name: NoName
            object
            {
               cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.75 open }

               scale < 3.9, 8.01, 3.9 >
               rotate < 90, 0, 0 >
               translate < 0, -14, 47 >
               texture {EW_Tex2}
            }
hollow
}
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 12, 4 >
               rotate < 0, 0, 90 >
               translate < 6, -14.25, 1 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 12, 4 >
               translate < -0.25, -20, 1 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               rotate < -90, 0, 0 >
               translate < 0, -14, 1 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.75, 1, 1.75 >
               rotate < -90, 0, 0 >
               translate < 0, -14, 4 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.5, 1, 1.5 >
               rotate < -90, 0, 0 >
               translate < 0, -14, 3 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1.25, 1, 1.25 >
               rotate < -90, 0, 0 >
               translate < 0, -14, 2 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 2, 1, 2 >
               rotate < -90, 0, 0 >
               translate < 0, -14, 5 >
            }

      // Object type: Torus
      // Name: NoName
      object
      {
         torus { 30, 0.25 }

         scale < 0.198, 1, 0.198 >
         rotate < 90, 0, 0 >
         translate < 0, -14, -9.2644e-23 >
texture {EW_SquadTex2 scale .25}
      }
         }
      }




#declare Wing =
// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 44.5, 1, 39 >
                     rotate < 4.9783e-06, 0, 0 >
                     translate < 5.5, -8, 3 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 35.913, 1, 20 >
                     rotate < 90, -12.821, -1.7075e-06 >
                     translate < 33.5, -7.8681e-07, 9 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 35.913, 1, 20 >
                     rotate < -90, -8.2933, -180 >
                     translate < 26.5, -3.4095e-06, 39 >
                  }
               }
            }
            // Object type: Composite
            // Name: group #1
            object
            {
             //  union
             //  {
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 17, 1, 22.5 >
                           rotate < 3.4151e-06, 3.4151e-06, -45 >
                           translate < 49.061, -7.7678, 13 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 52.961, 1, 20 >
                           rotate < -90, -8.2933, 135 >
                           translate < 38.101, 14.506, 39 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 44.036, 1, 20 >
                           rotate < 90, -12.821, -45 >
                           translate < 43.05, 9.5563, 9 >
                        }
                     }
                  }
               //}
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.75, 7, 0.75 >
               rotate < 90, 0, 0 >
               translate < 22, -7, 17 >
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 7, 6, 28 >
                     translate < 8.5, -14, 9 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < 35.785, 0, 0 >
                     translate < 12, -11, 14 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -77.848, 0, 0 >
                     translate < 12, -12, 36 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 8, 9, 15 >
                     translate < 7, -18, 19 >
                     pigment {rgb .25}

                  }
                   // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 6, 7.75, 18.5 >
                     translate < 9, -16.25, 0 >
                     pigment {rgb .25}

                  }
               }
scale <1,.85,1>
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < .5, .5, 5 >
               translate < 28, -7, 26 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < .5, .5, 5 >
               translate < 26, -7, 26 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < .5, .5, 5 >
               translate < 24, -7, 26 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < .5, .5, 5 >
               translate < 22, -7, 26 >
            }
                  // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Union
            // Name: 'or'
            object
            {
               merge
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 9.625, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 10.375, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 11.875, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 11.125, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 12.625, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 13.375, -13.5, 10.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 0.25, 5, 8 >
                     translate < 14.125, -13.5, 10.5 >
                  }
               }
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 34.277, 0, 0 >
               translate < 12, -11, 14.5 >
            }
         }
texture {EW_Tex2}
scale <1,.85,1>
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 1, 10, 1 >
         rotate < 90, 0, 0 >
         translate < 5.5, -7, 4.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 1, 10, 1 >
         rotate < 90, 0, 0 >
         translate < 5.5, -7, 30 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 1, 5, 1 >
         rotate < 90, 0, 0 >
         translate < 5.5, -7, 19.25 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 5.75, 6, 1 >
         translate < 41, -14, 21.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 5.75, 6, 1 >
         translate < 41, -14, 30.5 >
      }
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.75, 23.022, 0.75 >
                     translate < 1.9073e-06, -0.5, -1.75 >
                     texture {EW_SquadTex2 rotate 90*z scale .5}
                     texture {
                     pigment { gradient y
                     color_map {
                     [0 rgbt 1]
                     [1 rgb 0]
                     }
                     }
                     scale <1,23,1>
                     }
                  }

                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1.5, 22.5, 4 >
                     translate < -0.75, -1.4211e-14, -1.75 >
                  texture{EWWingT
                  scale <65,45,1>
                  rotate <90,0,0>}
                  texture {
                     pigment { gradient y
                     color_map {
                     [0 rgbt 1]
                     [1 rgb 0]
                     }
                     }
                     scale <1,23,1>
                     }
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.75, 23.022, 0.75 >
                     translate < 1.9073e-06, -0.5, 2.25 >
                     texture {EW_SquadTex2 rotate 90*z scale .5}
                     texture {
                     pigment { gradient y
                     color_map {
                     [0 rgbt 1]
                     [1 rgb 0]
                     }
                     }
                     scale <1,23,1>
                     }

                  }

                  #if (WingRot = 0)
                  rotate <0,0,55.5>
                  #end
                  #if (WingRot > 0)
                  rotate <0,0,55.5+(4*WingRot)>
                  #end
                  translate <22,-7,20.25>

               }
            }
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < 15.5, -14*.85, 19.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < 15.5, -14*.85, 20.75 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < 15.5, -14*.85, 31.75 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < 15.5, -14*.85, 33 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.29163, 3, 20 >
               rotate < 0, 0, -45 >
               translate < 57.54, -19.158, 13.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 45, 0, -45 >
               translate < 52.591, -12.617, 15.125 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.29163, 3, 20 >
               rotate < 0, 0, -45 >
               translate < 58.165, -19.908, 13.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 45, 0, -45 >
               translate < 53.216, -13.367, 15.125 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.29163, 3, 20 >
               rotate < 0, 0, -45 >
               translate < 58.79, -20.533, 13.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 45, 0, -45 >
               translate < 53.841, -13.992, 15.125 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.29163, 3, 20 >
               rotate < 0, 0, -45 >
               translate < 59.415, -21.158, 13.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 45, 0, -45 >
               translate < 54.466, -14.617, 15.125 >
            }
         }
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 6, 15.25 >
               translate < -7.5, 1.4211e-14, -7.75 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 7.5, 0.5, 15.25 >
               translate < -7.5, -0.5, -7.75 >
            }
         }
texture{EWWingT
scale <65,45,1>
rotate <90,0,0>}
texture {
pigment { bozo
color_map {
[0 rgbt <0,0,0,.5> ]
[.5 rgbt <0,0,0,1>]
[1 rgbt <0,0,0,1> ]
}
turbulence .5
scale 5
}
}
#if (GearRot <= .5)
rotate <0,0,180*GearRot>
#end
#if (GearRot > .5)
rotate <0,0,90>
#end
translate <15.5,-14,26>
scale <1,.85,1>
}


object {Engine translate <47,0,0>}
object {Gun rotate -45*z translate <61.25,-16.5,20.25>}
object {GearR scale <1,.9*GearRot+.1,1> rotate -22.5*z*WingRot translate <12,-8,23>}
   }
texture {EW_Tex3}
}
